@import './vars.scss';

* {
    letter-spacing: .05rem;
}

.cv {
    font-family: Arial, Helvetica, sans-serif;

    &>.cv-content {
        margin: 10px;
    }

    &-page {
        width: 50%;
        aspect-ratio: 21 / 29;
        max-height: 29cm;
        min-height: 29cm;
        max-width: 21cm;
        min-width: 21cm;
        overflow: hidden;

        @media screen and (orientation: portrait), (min-width: 480px) {     
            width: 100%;
        }
    }

    & .sector-title {
        font-weight: bold;
        font-size: 1.3em;
        margin-bottom: 2%;
    }

    &-raw {
        & .cv-sector{
            margin-bottom: 2%;

            & .dates {
                font-weight: 300;
                font-style: italic;
            }
        }

        & .icon-techno {
            display: none;
        }

        & .tasks {
            &>ul {
                margin-top: 0;
            }
        }

        & .profile-image {
            max-width: 200px;
            aspect-ratio: 1 / 1;
    
            &>img {
                max-width: 200px;
                object-fit: cover;
            }
        }
    }

    

    &>.professional-xp, &>.studies {
        & .experience, & .formation {
            margin-top: 1%;
        }
    }

    &:not(&-raw)>.cv-content {
        display: flex;
        flex-direction: column;

        & .profile-image {
            max-width: 10%;
            aspect-ratio: 1 / 1;
            margin-bottom: 1%;
    
            &>img {
                max-width:100%;
                object-fit: cover;
                box-shadow: 6px 6px 20px rgba(0, 0, 0, 0.5);
            }
        }

        &>.identity {
            width: 100%;
            display: flex;
            flex-direction: column;
            align-items: center;
            margin-bottom: 2%;

            &>.professional-info {
                font-size: .8em;
                color: gray;
                font-weight: bold;
            }

            &>.fullname {
                font-size: 1.5em;
                font-stretch: semi-expanded;
                letter-spacing: .2rem;
                margin-bottom: 1%;
            }
        }

        & .sector-title {
            text-transform: uppercase;
            text-align: center;
            width: 100%;
        }

        & .sidebar {
            display: flex;
            flex-direction: column;
            align-items: center;
            max-width: 26%;
            min-width: 25%;
            font-size: .8em;

            margin-right: 20px;

            & .cv-sector {
                width: 100%;
                padding-top: 2%;

                &>.sector-title {
                  margin-top: 3%;  
                }
            }

            & .details {                
                & .address {
                    text-overflow: warp;
                }
            }
    
            & .skills, & .languages {
                &>ul {
                    list-style-type: none;
                    margin: 0;
                    padding: 0;
    
                    &>li {
                        text-align: center;
                        margin: auto;
                        margin-bottom: 3%;
                        width: 80%;
    
                        & .skill-name {
                            font-size: .8em;
                        }
                    }
    
                }
            }

            & .hobbies {
                text-align: center;
            }

            & .other-links {
                & .other-link {
                    display: flex;
                    justify-content: flex-start;
                    width: 100%;

                    &>.link-url {
                        text-align: right;
                        margin-left: 5%;
                    }
                }
            }
        }

        & .main {
            padding-left: 5%;
            width: 100%;
            border-left: .5px solid rgba(0, 0, 0, 0.5);

            & ul {
                margin-top: 2px;
                font-size: .8em;
            }

            & .cv-sector {
                margin-bottom: 3%;
                margin-top: 2%;
                font-size: .8em;

                & .sector-title{
                    text-align: left;
                }
    
                & .sector-content {
                    padding-left: 5%;
                }
            }

            & .professional-xp {
                & .experience {
                    &>.experience-title {
                        display: flex;
                        justify-content: flex-start;
                    }

                    & * {
                        margin-right: 3%;
                    }
                }
            }

            & .studies {
                & .formation {
                    &>.formation-title {
                        display: flex;
                        justify-content: flex-start;
                    }

                    & * {
                        margin-right: 3%;
                    }

                    & .licence {
                        padding-left: 3%;
                        margin-bottom: 2%;
                    }
                }
            }
        }

        & .dates {
            font-style: italic;
        }
    }
}

.full-cv-link {
    text-align: center;
    display: block;
    width: 100%;
    font-size: .6em;
}